summaryrefslogtreecommitdiff
path: root/repo/system/musl/musl.xibuild
diff options
context:
space:
mode:
authordavidovski <david@davidovski.xyz>2022-05-04 23:52:30 +0100
committerdavidovski <david@davidovski.xyz>2022-05-04 23:52:30 +0100
commit739c65c54cb0e957df5e9b76f93fb02554e5cac3 (patch)
tree09ddfa0a342f3ea9de136cb50abdd79821bf1b53 /repo/system/musl/musl.xibuild
parent4c585ad54388285500fd18a6aaa516894e0f2c16 (diff)
moved everything to new file formatting
Diffstat (limited to 'repo/system/musl/musl.xibuild')
-rw-r--r--repo/system/musl/musl.xibuild54
1 files changed, 54 insertions, 0 deletions
diff --git a/repo/system/musl/musl.xibuild b/repo/system/musl/musl.xibuild
new file mode 100644
index 0000000..6f15382
--- /dev/null
+++ b/repo/system/musl/musl.xibuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+MAKEDEPS=""
+DEPS=""
+
+PKG_VER=1.2.3
+SOURCE=https://musl.libc.org/releases/musl-$PKG_VER.tar.gz
+
+ADDITIONAL="
+0001-riscv64-define-ELF_NFPREG.patch
+change-scheduler-functions-Linux-compatib.patch
+fix-utmp-wtmp-paths.patch
+handle-aux-at_base.patch
+qsort_r.patch
+syscall-cp-epoll.patch
+"
+
+DESC="Implementation of the C standard library built on top of the Linux system call API"
+
+prepare () {
+ for p in *.patch; do
+ patch -Np1 -i $p || true
+ done
+}
+
+build () {
+ CARCH=x86_64
+ LDFLAGS="$LDFLAGS -Wl,-soname,libc.musl-${CARCH}.so.1" \
+./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-gcc-wrapper
+ make
+}
+
+package () {
+ make DESTDIR=$PKG_DEST install &&
+
+ install -d $PKG_DEST/etc
+ install -d $PKG_DEST/bin
+ install -d $PKG_DEST/lib
+
+ ln -s /lib/ld-musl-x86_64.so.1 $PKG_DEST/bin/ldd
+ ln -s libc.so $PKG_DEST/usr/lib/libc.musl-x86_64.so.1
+
+ cat > $PKG_DEST/etc/ld-musl-x86_64.path << "EOF"
+/lib
+/usr/local/lib
+/usr/lib
+EOF
+
+ rm $PKG_DEST/usr/include/utmpx.h
+}
+